DORMANTno replies

[PATCH 2/2] instaweb: use 'browser.<tool>.path' config option if it's set.

From: Christian Couder <hidden>
Date: 2016-06-15 22:44:08
Subsystem: documentation, the rest · Maintainers: Jonathan Corbet, Linus Torvalds

Signed-off-by: Christian Couder <redacted>
---
 Documentation/config.txt |    3 ++-
 git-instaweb.sh          |   10 +++++++++-
 2 files changed, 11 insertions(+), 2 deletions(-)
diff --git a/Documentation/config.txt b/Documentation/config.txt
index c2fedd1..584250c 100644
--- a/Documentation/config.txt
+++ b/Documentation/config.txt
@@ -369,7 +369,8 @@ branch.<name>.rebase::
 
 browser.<tool>.path::
 	Override the path for the given tool that may be used to
-	browse help. See linkgit:git-help[1].
+	browse help (see linkgit:git-help[1]) or a working repository
+	in gitweb (see linkgit:git-instaweb[1]).
 
 clean.requireForce::
 	A boolean to make git-clean do nothing unless given -f
diff --git a/git-instaweb.sh b/git-instaweb.sh
index ad0723c..b21a0a5 100755
--- a/git-instaweb.sh
+++ b/git-instaweb.sh
@@ -274,6 +274,14 @@ webrick)
 	;;
 esac
 
+init_browser_path() {
+	browser_path=`git config browser.$1.path`
+	test -z "$browser_path" && browser_path=$1
+}
+
 start_httpd
 url=http://127.0.0.1:$port
-test -n "$browser" && "$browser" $url || echo $url
+test -n "$browser" && {
+	init_browser_path "$browser"
+	"$browser_path" $url
+} || echo $url
-- 
1.5.4.rc4.16.g1009
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help